<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:permission_types" prefix="permission-type" title_preset="permission_type_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
	  	<td>
	  		<script type="text/javascript">
	  			//do not rename - this function is used in default grid for double click!
	  			function edit()
	  			{
	  				std_edit_item('permission-type', 'permission_types/permission_type_edit');
	  			}

	  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewPermission" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('permission-type', 'permission_types/permission_type_edit');
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('permission-type')
						} ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );


				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="permission-type" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_if check="m_Get" name="cant_delete_system_permission">
	<inp2:m_RenderElement design="form_message">
		<inp2:m_Phrase name="la_error_CantDeleteSystemPermission"/>
	</inp2:m_RenderElement>
</inp2:m_if>

<inp2:m_RenderElement name="grid" PrefixSpecial="permission-type" IdField="PermissionConfigId" grid="Default"/>
<script type="text/javascript">
	Grids['permission-type'].SetDependantToolbarButtons( new Array('edit','delete') );
</script>
<inp2:m_include t="incs/footer"/>
